%global upstreamver 0_8_1
%global pkgname polymaking

Name:           gap-pkg-%{pkgname}
Version:        %(tr _ . <<< %upstreamver)
Release:        1%{?dist}
Summary:        GAP interface to polymake

License:        GPLv2+
URL:            http://csserver.evansville.edu/~mroeder/polymaking.html
Source0:        http://csserver.evansville.edu/~mroeder/%{pkgname}/%{pkgname}%{upstreamver}.tar.bz2
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  polymake

Requires:       gap-core
Requires:       polymake
Requires(post): gap-core
Requires(postun): gap-core

%description
This package provides a very basic GAP interface to polymake.

%prep
%setup -q -n %{pkgname}

# Remove OS X files
find . -name .DS_Store | xargs rm -f

# Don't workaround a polymake bug that has been fixed in Fedora
sed -i '/fail/d' tst/polymaking.tst

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname} %{buildroot}%{_gap_dir}/pkg
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{CHANGES,README}.polymaking
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/LICENSE.txt

%post -p %{_bindir}/update-gap-workspace

%postun -p %{_bindir}/update-gap-workspace

%check
# Produce less chatter while running the test
polymake --reconfigure - <<EOF
exit;
EOF

# Now we can run the actual test.
gap -l "%{_gap_dir};%{buildroot}%{_gap_dir}" tst/testall.g

%files
%doc CHANGES.polymaking README.polymaking
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%license LICENSE.txt
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Tue Jan 20 2015 Jerry James <loganjerry@gmail.com> - 0.8.1-1
- Initial RPM
